Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

# Enum CardholderVerificationCapability1Code

java.lang.Object
java.lang.Enum<CardholderVerificationCapability1Code>
org.kapott.hbci.sepa.jaxb.camt_052_001_05.CardholderVerificationCapability1Code

All Implemented Interfaces:
  `Serializable`, `Comparable<CardholderVerificationCapability1Code>`, `java.lang.constant.Constable`

public enum CardholderVerificationCapability1Code extends Enum<CardholderVerificationCapability1Code>

Java class for CardholderVerificationCapability1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CardholderVerificationCapability1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="MNSG"/>
         <enumeration value="NPIN"/>
         <enumeration value="FCPN"/>
         <enumeration value="FEPN"/>
         <enumeration value="FDSG"/>
         <enumeration value="FBIO"/>
         <enumeration value="MNVR"/>
         <enumeration value="FBIG"/>
         <enumeration value="APKI"/>
         <enumeration value="PKIS"/>
         <enumeration value="CHDT"/>
         <enumeration value="SCEC"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`APKI`
`CHDT`
`FBIG`
`FBIO`
`FCPN`
`FDSG`
`FEPN`
`MNSG`
`MNVR`
`NPIN`
`PKIS`
`SCEC`

## Method Summary

Modifier and Type
Method
Description
`static CardholderVerificationCapability1Code`
`fromValue(String v)`
`String`
`value()`
`static CardholderVerificationCapability1Code`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CardholderVerificationCapability1Code[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MNSG

public static final CardholderVerificationCapability1Code MNSG

### NPIN

public static final CardholderVerificationCapability1Code NPIN

### FCPN

public static final CardholderVerificationCapability1Code FCPN

### FEPN

public static final CardholderVerificationCapability1Code FEPN

### FDSG

public static final CardholderVerificationCapability1Code FDSG

### FBIO

public static final CardholderVerificationCapability1Code FBIO

### MNVR

public static final CardholderVerificationCapability1Code MNVR

### FBIG

public static final CardholderVerificationCapability1Code FBIG

### APKI

public static final CardholderVerificationCapability1Code APKI

### PKIS

public static final CardholderVerificationCapability1Code PKIS

### CHDT

public static final CardholderVerificationCapability1Code CHDT

### SCEC

public static final CardholderVerificationCapability1Code SCEC

## Method Details

### values

public static CardholderVerificationCapability1Code[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CardholderVerificationCapability1Code valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static CardholderVerificationCapability1Code fromValue(String v)